sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From romb...@apache.org
Subject [sling-servlet-archetype] 04/39: use maven-compiler-plugin 2.3.2 in generated pom, to have java 1.5 as the default
Date Tue, 07 Nov 2017 10:25:24 GMT
This is an automated email from the ASF dual-hosted git repository.

rombert pushed a commit to annotated tag sling-servlet-archetype-1.0.2
in repository https://gitbox.apache.org/repos/asf/sling-servlet-archetype.git

commit 7bf024313e2a1c2c2bde049c2abdf8b6522708ea
Author: Bertrand Delacretaz <bdelacretaz@apache.org>
AuthorDate: Wed Dec 1 09:36:24 2010 +0000

     use maven-compiler-plugin 2.3.2 in generated pom, to have java 1.5 as the default
    
    git-svn-id: https://svn.apache.org/repos/asf/sling/trunk/maven/archetypes/servlet@1040912
13f79535-47bb-0310-9956-ffa450edef68
---
 src/main/resources/archetype-resources/pom.xml | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/src/main/resources/archetype-resources/pom.xml b/src/main/resources/archetype-resources/pom.xml
index 583ff6b..b9db9f6 100644
--- a/src/main/resources/archetype-resources/pom.xml
+++ b/src/main/resources/archetype-resources/pom.xml
@@ -49,10 +49,8 @@
             <plugin>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-compiler-plugin</artifactId>
-                <configuration>
-                    <source>1.5</source>
-                    <target>1.5</target>
-                </configuration>
+                <!-- use version 2.3.2 to have java 1.5 as the default -->
+                <version>2.3.2</version>
             </plugin>
         </plugins>
     </build>

-- 
To stop receiving notification emails like this one, please contact
"commits@sling.apache.org" <commits@sling.apache.org>.

Mime
View raw message